image:
  repository: 11123111/tech-lead-lesson-4
  pullPolicy: IfNotPresent
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  create: true
  annotations: {}
  name: ""

podAnnotations: {}

podSecurityContext: {}

securityContext: {}

service:
  type: NodePort
  port: 80

ingress:
  enabled: true
  className: ""
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
    kubernetes.io/ingress.class: nginx
  rules:
  - host: web.api
    http:
      paths:
      - path: /tech-lead-lesson-4
        pathType: Prefix
        backend:
          service:
            name: tech-lead-lesson-4
            port: 
              number: 80

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 3
  targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}
